<app-home></app-home><br>
<legend>Consultar Vendas</legend>

<!--Filtro-->
<mat-form-field>
  <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Pesquisar">
</mat-form-field>

<div id="button">
  <a (click)="onSaleDetail()">
    <i class="material-icons" style="cursor: pointer;">visibility</i>
  </a>
</div>
<div class="table-container mat-elevation-z8">
  <table id="ProdutoTable" mat-table [dataSource]="dataSource" class="mat-elevation-z8">

    <!-- Checkbox Column -->
    <ng-container matColumnDef="select">
      <th mat-header-cell *matHeaderCellDef>
        <mat-checkbox (change)="$event ? masterToggle() : null" [checked]="selection.hasValue() && isAllSelected()"
          [indeterminate]="selection.hasValue() && !isAllSelected()" [aria-label]="checkboxLabel()" color='primary'>
        </mat-checkbox>
      </th>
      <td mat-cell *matCellDef="let row">
        <mat-checkbox (click)="$event.stopPropagation()" (change)="$event ? selection.toggle(row) : null"
          [checked]="selection.isSelected(row)" [aria-label]="checkboxLabel(row)" color='primary'>
        </mat-checkbox>
      </td>
      <td mat-footer-cell *matFooterCellDef></td>
    </ng-container>

    <ng-container matColumnDef="data">
      <th mat-header-cell *matHeaderCellDef>Data Venda</th>
      <td mat-cell *matCellDef="let dataSource"> {{dataSource.data | date : 'dd/MM/yyyy ' }} </td>
      <td mat-footer-cell *matFooterCellDef></td>
    </ng-container>

    <!-- Item Column -->
    <ng-container matColumnDef="id">
      <th mat-header-cell *matHeaderCellDef>Código Venda</th>
      <td mat-cell *matCellDef="let dataSource"> {{dataSource.id}} </td>
      <td mat-footer-cell *matFooterCellDef></td>
    </ng-container>

    <!-- Item Column -->
    <ng-container matColumnDef="idCliente">
      <th mat-header-cell *matHeaderCellDef>Código Cliente</th>
      <td mat-cell *matCellDef="let dataSource"> {{dataSource.idCliente}} </td>
      <td mat-footer-cell *matFooterCellDef></td>
    </ng-container>

    <!-- Item Column -->
    <ng-container matColumnDef="idItens">
      <th mat-header-cell *matHeaderCellDef>Código Itens</th>
      <td mat-cell *matCellDef="let dataSource"> {{dataSource.idItens}} </td>
      <td mat-footer-cell *matFooterCellDef>Total</td>
    </ng-container>

    <!-- Cost Column -->
    <ng-container matColumnDef="valorTotal">
      <th mat-header-cell *matHeaderCellDef>Valor Venda</th>
      <td mat-cell *matCellDef="let dataSource"> {{dataSource.valorTotal | currency}} </td>
      <td mat-footer-cell *matFooterCellDef> {{getTotal() | currency}} </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: true"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    <tr mat-footer-row *matFooterRowDef="displayedColumns"></tr>
  </table>
</div><br>

<div class="export-container">
  <button mat-raised-button color="primary" (click)="exportTable()">Exportar Excel</button>
</div>

<!-- Copyright 2019 Google LLC. All Rights Reserved.
      Use of this source code is governed by an MIT-style license that
      can be found in the LICENSE file at http://angular.io/license -->